Query Sub-account Deposit History
request
get /api/v3/broker/capital/deposit/subHisrec?timestamp={{timestamp}}&signature={{signature}}
response
[
{
"amount":"0.00999800",
"coin":"PAXG",
"network":"ETH",
"status":,
"address":"0x788cabe9236ce061e5a892e1a595a81fc8d62c",
"addressTag":"",
"txId":"0xaad4654a3234aa6118af9b4b335f5aec360b2394721c019b5d1e75328b09f3",
"unlockConfirm":"12",
"confirmTimes":"7",
"insertTime": 1659513342000,
"memo": "xxyy1122"
},
{
"amount":"0.50000000",
"coin":"IOTA",
"network":"IOTA",
"status":,
"address":"SIZ9VLMHWATXKV99LH99CIGFJFUMLEVZVNNZXRJJVWBPHYWPPBOSDORZ9EQSHCZAMPVAPGFYQAUUV9DROOXJLNW",
"addressTag":"",
"txId":"ESBFVQUTPIWQNJSPXFNHNYHSQNTGKRVBQWTAXCDWOAKDKYWPTVG9BGXNVNKTLEJGESAVXIKIZ9999",
"unlockConfirm":"12",
"confirmTimes":"7",
"insertTime": 1659513352000,
"memo": "ttzz1122"
}
]
Http Request:
- GET
/api/v3/broker/capital/deposit/subHisrec
Request Parameter:
| Name | Type | Mandatory | Description |
|---|---|---|---|
| coin | string | no | deposit coin |
| status | string | no | deposit status |
| startTime | string | no | unix millisecond timestamp; default: 10 days ago from current time |
| endTime | string | no | unix millisecond timestamp; default:current time |
| limit | string | no | default:20 |
| page | string | no | default:1 |
| recvWindow | string | no | recvWindow |
| timestamp | string | yes | timestamp |
| signature | string | yes | signature |
Response Parameter:
| Name | Type | Description |
|---|---|---|
| amount | string | deposit amount |
| coin | string | deposit coin |
| network | string | deposit network |
| status | string | deposit status |
| address | string | Deposit address(If a suffix is present, the suffix represents the memo) |
| addressTag | string | addressTag |
| txId | string | txid |
| unlockConfirm | string | unlockConfirm |
| confirmTimes | string | confirmTimes |
| insertTime | number | insertTime |
| memo | string | memo |